Summary:	Cdrdao - Write CDs in disk-at-once mode
Name:		cdrdao
Version:	1.2.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		https://cdrdao.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/cdrdao/%{name}-%{version}.tar.bz2
Patch1:		mkisofs-changelog.patch
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ao)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
Writes CDs in disc-at-once (DAO) mode allowing control over pre-gaps
(length down to 0, nonzero audio data) and sub-channel information
like ISRC codes. All data that is written to the disc must be
specified with a text file. Audio data may be in WAVE or raw format.

%package	gcdmaster
Summary:	Graphical front end to cdrdao for creating audio CDs
Group:		Archiving/Cd burning
BuildRequires:	pkgconfig(gtkmm-3.0)
Provides:	cdrdao-xdao
Provides:	cdrdao-xcdrdao
Requires:	%{name} = %{version}

%description    gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the creation of audio
CDs from one or more audio files. It supports PQ-channel editing,
entry of meta data like ISRC codes/CD-TEXT and non-destructive cut of
the audio data.

%package	toc2mp3
Summary:	Command line MP3 encoder front end to cdrdao
Group:		Sound/Editors and Converters
BuildRequires:	liblame-devel
Requires:	%{name} = %{version}

%description	toc2mp3
This is a command line MP3 encoder that converts audio CD disc images
(toc files) to MP3 files. Special care is taken that the MP3 files can
be played in sequence without having unwanted noise at the transition
points. CD-TEXT information (if available) is used to set ID3 (v2)
tags and to construct the name of the MP3 files.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-Fedora" \
  --remove-key="Encoding" \
  --add-category="GTK" \
  --add-category="DiscBurning" \
  --set-icon="gcdmaster" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gcdmaster.png
convert -scale 32 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/gcdmaster.png
install -m 644 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/gcdmaster.png

%files
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%attr(6755,root,cdwriter) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/toc2cddb
%{_bindir}/cue2toc
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files gcdmaster
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/gcdmaster
%{_datadir}/applications/gcdmaster.desktop
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/gcdmaster/
%{_datadir}/glib-2.0/schemas/org.gnome.gcdmaster.gschema.xml
%{_datadir}/mime-info/gcdmaster.keys
%{_datadir}/mime-info/gcdmaster.mime
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/pixmaps/gcdmaster*.png
%{_iconsdir}/hicolor/*/apps/*.png

%files toc2mp3
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/toc2mp3


%changelog
* Thu Feb 09 2023 daviddavid <daviddavid> 1.2.5-1.mga9
+ Revision: 1939609
- new version: 1.2.5
- re-enable gcdmaster now depends on gtkmm-3.0
- build cdrdao-toc2mp3 also in Core due to mp3/lame license change

* Fri Oct 28 2022 wally <wally> 1.2.4-7.mga9
+ Revision: 1899918
- drop gcdmaster to get rid of ancient libgnomeuimm2.6

* Wed Apr 06 2022 umeabot <umeabot> 1.2.4-6.mga9.tainted
+ Revision: 1845950
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2.4-5.mga8.tainted
+ Revision: 1519182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1297325
- Mageia 7 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 1.2.4-3.mga7.tainted
+ Revision: 1296040
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 shlomif <shlomif> 1.2.4-2.mga7
+ Revision: 1236807
- Fix build due to build_plf

* Mon May 28 2018 shlomif <shlomif> 1.2.4-1.mga7.tainted
+ Revision: 1232821
- New version 1.2.4

* Sat May 06 2017 luigiwalser <luigiwalser> 1.2.3-13.mga6.tainted
+ Revision: 1099320
- fix build error because gdk pixmap is not an int

* Thu Feb 11 2016 umeabot <umeabot> 1.2.3-12.mga6
+ Revision: 953612
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 cjw <cjw> 1.2.3-11.mga6
+ Revision: 871727
- add -std=gnu++11 to CXXFLAGS to fix build with latest libsigc++
- patch12: fix build with gcc 5
- patch13: drop reference to removed libsigc++ header

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-10.mga5.tainted
+ Revision: 678340
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-9.mga4.tainted
+ Revision: 503313
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.3-8.mga3.tainted
+ Revision: 347534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 1.2.3-7.mga3.tainted
+ Revision: 322770
- update RPM group

* Sat Feb 18 2012 wally <wally> 1.2.3-6.mga2.tainted
+ Revision: 210334
- rebuild due to a missing pkgs (mga#4568)

* Sun May 29 2011 cjw <cjw> 1.2.3-5.mga1.tainted
+ Revision: 100698
- add support for tainted builds

* Mon Feb 07 2011 ennael <ennael> 1.2.3-4.mga1
+ Revision: 48639
- clean mdk version
- imported package cdrdao


* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1.2.3-4mdv2011.0
+ Revision: 623246
- fix build with stat headers

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.2.3-3mdv2010.1
+ Revision: 528350
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-2mdv2010.1
+ Revision: 520020
- rebuilt for 2010.1

* Tue Oct 06 2009 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 454454
- new version
- drop patch 2

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 1.2.3-0.rc2.1mdv2010.0
+ Revision: 371558
- new prerelease
- drop patches 0,9,22,30
- update patch 2
- add Fedora patch for k3b
- update file list

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 1.2.2-8mdv2009.1
+ Revision: 364769
- fix str fmt

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-8mdv2009.0
+ Revision: 264347
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-7mdv2009.0
+ Revision: 210280
- more gcc43 fixes
- sync with fedora

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.2-6mdv2008.1
+ Revision: 136290
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 12 2007 Götz Waschk <waschk@mandriva.org> 1.2.2-6mdv2008.0
+ Revision: 84783
- fix description

* Tue Sep 11 2007 Adam Williamson <awilliamson@mandriva.org> 1.2.2-5mdv2008.0
+ Revision: 84331
- add patch0 to fix compilation issue caused by use of old sigc++ API
- don't buildrequire cdrecord-devel any more
-rebuild for 2008
- no need to update mime database as the .desktop file contains no mime types
- fix encoding and icon errors in .desktop file
- drop X-Mandriva and X-Fedora menu categories
- fd.o icons
- drop legacy menu and icons
- s/mp3/MP3/
- rewrap descriptions
- Fedora license policy

  + Götz Waschk <waschk@mandriva.org>
    - fix description (bug #32017)


* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-10-17 12:47:21 (65871)
rebuild

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-10-16 07:25:36 (65483)
rebuild

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-10-12 07:48:55 (63699)
rebuild

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-10-12 07:42:18 (63698)
rebuild

* Mon Oct 09 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-10-08 13:30:36 (63025)
Import cdrdao

* Sat Sep 23 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- drop patch
- New version 1.2.2

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
- rebuild for new cairomm

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdv2007.0
- xdg menu
- fix build with gcc 4.1

* Sat Nov 26 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patches
- New release 1.2.1

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2.0-2mdk
- Patch 1 : Fix Compile with Gcc4

* Sat May 14 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- update file list
- bump deps
- drop patches 3,4
- mkrel
- new version

* Thu Dec 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.9-7mdk
- fix buildrequires
. fix ambigous operator cast (P4 from fedora)

* Fri Sep 03 2004 Marcel Pol <mpol@mandrake.org> 1.1.9-6mdk
- fix menu section

* Wed Jun 16 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.9-5mdk
- use official icon
- add missing files
- patch 3 for some gcc 3.4 fixes
- drop merged patches 1,2
- add source URL
- New release 1.1.9

* Fri May 14 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-5mdk
- C++ fixes from Gwenole Beauchesne

* Sun Apr 18 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-4mdk
- fix toc2mp3 package

* Sun Apr 18 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-3mdk
- gcdmaster depends on cdrdao

* Wed Mar 24 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- patch1: don't add kernel includes
- add subpackage for toc2mp3
- real 1.1.8 final

* Fri Mar 12 2004 Warly <warly@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8 final
- add buildrequires cdrecord-devel

* Sun Jan 11 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.8-0.pre2.0.20040106.1mdk
- set suid bit on the cdrdao executable
- add toc2cddb
- new cvs snapshot

